package com.yeejoin.amos.patrol.business.entity.mybatis;

import java.util.Date;

/**
 * 巡检记录项Bo
 * @author tianbo
 *
 */
public class CheckInputBo {
	
	/**
	 * 检查项名称
	 */
	private String inputItemName;
	
	/**
	 * 检查结果
	 */
	private String inputValue;
	
	/**
	 * 是否合格
	 */
	private String isOK;
	
	/**
	 * 上报时间
	 */
	private Date uploadTime;
	
//	/**
//	 * 任务状态:0未完成，1已完成
//	 */
//	private int taskStats;
	
	/**
	 * 任务执行人
	 */
	private String executor;
	
	/**
	 * 检查项评分
	 */
	
	private String inputItemScore;
	
	/**
	 * 分类ID
	 */
	
	private long classifyId;
	
	/**
	 * 分类名称
	 */

	private String classifyName;

	/**
	 * 巡检记录检查项检查结果ID
	 */

	private long checkInputId;

	
	/**
	 * 检查项ID
	 */
	private String inputId;


	// 备注说明
	private String remark;
	
	private int imgCount;
	

	public String getInputItemName() {
		return inputItemName;
	}

	public void setInputItemName(String inputItemName) {
		this.inputItemName = inputItemName;
	}

	public String getInputValue() {
		return inputValue;
	}

	public void setInputValue(String inputValue) {
		this.inputValue = inputValue;
	}

	public String getIsOK() {
		return isOK;
	}

	public void setIsOK(String isOK) {
		this.isOK = isOK;
	}

	public Date getUploadTime() {
		return uploadTime;
	}

	public void setUploadTime(Date uploadTime) {
		this.uploadTime = uploadTime;
	}

//	public int getTaskStats() {
//		return taskStats;
//	}
//
//	public void setTaskStats(int taskStats) {
//		this.taskStats = taskStats;
//	}

	public String getExecutor() {
		return executor;
	}

	public void setExecutor(String executor) {
		this.executor = executor;
	}

	public String getInputItemScore() {
		return inputItemScore;
	}

	public void setInputItemScore(String inputItemScore) {
		this.inputItemScore = inputItemScore;
	}

	public long getClassifyId() {
		return classifyId;
	}

	public void setClassifyId(long classifyId) {
		this.classifyId = classifyId;
	}

	public String getClassifyName() {
		return classifyName;
	}

	public void setClassifyName(String classifyName) {
		this.classifyName = classifyName;
	}

	public long getCheckInputId() {
		return checkInputId;
	}

	public void setCheckInputId(long checkInputId) {
		this.checkInputId = checkInputId;
	}


	public String getInputId() {
		return inputId;
	}

	public void setInputId(String inputId) {
		this.inputId = inputId;
	}


	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public int getImgCount() {
		return imgCount;
	}

	public void setImgCount(int imgCount) {
		this.imgCount = imgCount;
	}

}

